# Yipanic
This appilcation sends a JSON to an API with the intent to remote control your computer or infrastructure in terms of panic.

The app can be secured by a passcode.

## Latest build

[app-release.apk](https://git.chaospott.de/Bandie/Yipanic/src/branch/master/app/release/app-release.apk)

## What the app sends

```json
{
  "key": string,
  "secret": string,
  "cmd": "(lock|shutdown|panic|infraShutdown|infraPanic)"
}
```

`cmd` requires one of `lock`, `shutdown`, ... 


## What answers the app expect

```json
{
  "access": (true|false),
  "error": int
}
```


At the moment the following error codes are defined:

```
0 - OK
1 - Command not set
```


## Example backend

See `example/index.php`.


### What is ding?

See [ding](https://git.chaospott.de/Bandie/ding/).
